wmnd (0.4.17-4~exp3) experimental; urgency=medium

  * Test upload to discover how DAK handles upstream sigs, see  #954743.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Mar 2020 19:57:28 +0100

wmnd (0.4.17-3) unstable; urgency=medium

  * Switch to debhelper v11.
  * debian/rules: Enable all hardening and LFS flags.
  * Add 02-Make-counters-64-bit.patch from Vladimir Prodan to make byte/packet
    counters 64 bit on 32-bit systems (closes: #629252).
  * Add 03-Fix-compiler-warnings.patch to fix warnings generated by gcc-8.
  * Switch debian/copyright to DEP-5 format.
  * debian/watch: use https and check gpg signature (lintian).
  * Add DEP-12 upstream metadata file.
  * Provide simple testsuite for autopkgtest to check installability of the
    binary packages (lintian).
  * debian/control:
    + update Vcs-* fields for salsa migration;
    + use https protocol in the `Homepage' field;
    + suggest snmp-mips-downloader for wmnd-snmp package (see: #574388);
    + set `Rules-Requires-Root' to `no';
    + Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Sep 2018 12:08:13 +0200

wmnd (0.4.17-2) unstable; urgency=low

  * Add 01-Fix-missing-HOME-crash.patch to fix a crash occurring
    when $HOME variable is not defined (closes: #716468).

 -- Robert Luberda <robert@debian.org>  Sun, 06 Oct 2013 13:31:09 +0200

wmnd (0.4.17-1) unstable; urgency=low

  * New maintainer (closes: #691836).
  * New upstream version.
  * Switch to debhelper v9 and tiny debian/rules file.
  * Pass -Wl,--as-needed in LDFLAGS (closes: #641337).
  * debian/control:
    + `Suggests: trend' because it can be spawned by middle button click;
    + sort the file with `wrap-and-sort' utility;
    + add VCS fields;
    + bump Standards-Version to 3.9.4.

 -- Robert Luberda <robert@debian.org>  Tue, 21 May 2013 07:44:15 +0200

wmnd (0.4.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b wmnd-0.4.16
    gave error exit status 2":
    update handling of config.{guess,sub}:
    - use autotools-dev's helpers in debian/rules
    - make build dependency on autotools-dev versioned
    (Closes: #652213)

 -- gregor herrmann <gregoa@debian.org>  Tue, 13 Mar 2012 19:17:17 +0100

wmnd (0.4.16-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.1.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 17 Aug 2010 09:35:54 +0200

wmnd (0.4.15-1) unstable; urgency=low

  * New upstream version.
  * Switch to dpkg-source format version 3.0 (quilt).
  * debian/copyright: Updated years.
  * Bump standards version to 3.8.4.
  * Added watch file.
  * Updated short description for wmnd-snmp.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 07 Apr 2010 15:41:29 +0200

wmnd (0.4.13-1) unstable; urgency=low

  * New maintainer. (Closes: #515440)
  * New upstream version.
    - Make it a non native package. (Closes: #447123)
    - Don't ignore clean/distclean errors. (Closes: #447124)
  * Bump debhelper version.
  * Bump standards version.
  * Updated debian/copyright.
  * Updated debian/menu: section part.
  * Added homepage field.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 13 Jul 2009 13:56:59 +0200

wmnd (0.4.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libnsmp-dev instead of libsnmp10-dev. Closes: #444559.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Oct 2007 09:27:28 +0200

wmnd (0.4.12-2) unstable; urgency=low

  * Standards-Version 3.7.1.0 -> 3.7.1.2 without changes
  * Build-Dep on libsnmp10-dev instead of libsnmp9-dev to make it installable
    again.

 -- Arthur Korn <arthur@debian.org>  Tue, 01 May 2007 19:35:44 +0200

wmnd (0.4.12-1) unstable; urgency=low

  * New upstream release
    - upstream fixed #355987
    - configure option --with-drivers renamed to --enable-drivers

 -- Arthur Korn <arthur@debian.org>  Thu, 25 May 2006 10:59:58 +0200

wmnd (0.4.11-5) unstable; urgency=low

  * use ppp_defs.h from libc instead of local copy to avoid definition of
    _u32, closes: #360935
  * Standards-Version 3.6.2.0 -> 3.7.2.0 without changes

 -- Arthur Korn <arthur@debian.org>  Thu, 25 May 2006 10:23:26 +0200

wmnd (0.4.11-4) unstable; urgency=low

  * configure: rebuilt with autoconf 2.59a-7 to fix detection of X11
    libraries. closes: #346887, #347752
  * control: removed no more needed build-dependency on autoconf and
    automake, rules doesn't run them anymore on every build.

 -- Arthur Korn <arthur@debian.org>  Thu, 25 May 2006 10:19:08 +0200

wmnd (0.4.11-3) unstable; urgency=low

  * control: replaced build dependency on xlibs-dev by build-dependency
    on libx11-dev, libxext-dev, libxpm-dev as xlibs-split proposed.
    closes: #346887

 -- Arthur Korn <arthur@debian.org>  Mon,  9 Jan 2006 19:29:14 +0100

wmnd (0.4.11-2) unstable; urgency=low

  * now builds against libsnmp9, closes: #333943
  * Standards-Version 3.6.2 without changes

 -- Arthur Korn <arthur@debian.org>  Sat, 29 Oct 2005 15:01:52 +0200

wmnd (0.4.11-1) unstable; urgency=low

  * New upstream release
  * --enable-trend added. See end of README for info on what it is.

 -- Arthur Korn <arthur@debian.org>  Sat, 23 Oct 2004 16:33:34 +0200

wmnd (0.4.10-1) unstable; urgency=low

  * New upstream release:
    - Fixed generic_snmp by probing both ifName and ifDescr (required for
      interoperation with Debian Sarge, closes: #253109).
    - Added a geometry flag (-g).


 -- Arthur Korn <arthur@debian.org>  Mon, 20 Sep 2004 20:35:53 +0200

wmnd (0.4.9-1) unstable; urgency=low

  * New upstream release
  * copyright: updated URL of Yuri's site
  * control: fixed multiline build-depends field
  * Standards Version 3.6.1
  * menu: quoted values of "needs" and "section"

 -- Arthur Korn <arthur@korn.ch>  Wed, 25 Aug 2004 01:13:45 +0200

wmnd (0.4.7-1) unstable; urgency=low

  * New upstream release
    - new algorithm, current bandwith more precise: closes: #203264
  * Small change to the description
  * Standards Version 3.6.0

 -- Arthur Korn <arthur@korn.ch>  Wed,  6 Aug 2003 10:20:38 +0200

wmnd (0.4.5-2) unstable; urgency=low

  * Repackaged with debhelper 4
  * split into wmnd and wmnd-snmp flavours, closes: #199553

 -- Arthur Korn <arthur@korn.ch>  Fri,  4 Jul 2003 17:28:02 +0200

wmnd (0.4.5-1) unstable; urgency=low

  * New upstream release
    - new IF-MIB SNMP driver. Read the README for caveats.
  * added libsnmp6-dev to build dependencies, for IF-MIB SNMP driver.

 -- Arthur Korn <arthur@korn.ch>  Thu, 10 Apr 2003 12:52:52 +0200

wmnd (0.4.4a-1) unstable; urgency=low

  * New upstream release
  * Build-Dep on automake1.7, autoconf (>= 2.5)

 -- Arthur Korn <arthur@korn.ch>  Tue, 21 Jan 2003 15:27:35 +0100

wmnd (0.4.4-1) unstable; urgency=low

  * New upstream release
    - Fixes the current rate digital display, closes: #173591
  * --enable-sine-dummy
  * --enable-debug

 -- Arthur Korn <arthur@korn.ch>  Tue, 14 Jan 2003 15:39:45 +0100

wmnd (0.4.3-2) unstable; urgency=low

  * Added CONFFLAGS, when DEB_BUILD_OPTIONS has nostrip,
    CONFFLAGS=--enable-debug
  * setting CFLAGS in ./configure environment instead in $(MAKE) environment

 -- Arthur Korn <arthur@korn.ch>  Thu, 19 Dec 2002 14:43:19 +0100

wmnd (0.4.3-1) unstable; urgency=low

  * New upstream release
  * rules: CFLAGS and STRIPARGS now set according to policy 3.5.7.0
  * control: Standards-Version: 3.5.8.0

 -- Arthur Korn <arthur@korn.ch>  Wed, 11 Dec 2002 21:38:27 +0100

wmnd (0.4.2-2) unstable; urgency=low

  * Fix for division by 10 of displayed speeds due, thanks to Thomas Ashton
    for the patch. closes: #150483
  * Some improvements on the manpage (-t option, driver descriptions).

 -- Arthur Korn <arthur@korn.ch>  Wed,  3 Jul 2002 18:55:45 +0200

wmnd (0.4.2-1) unstable; urgency=low

  * New upstream release
    - since 0.2.2, closes: #115788, #83375, #78784
    - using solaris_fpppd driver, ppp is reset on reconnect,
      closes: #87372
    - updated manpage to 0.4.1
    - patch by Alexandre Dupouy to handle vlan devices integrated,
      closes: #145036
  * now always building solaris_fpppd driver, for use with /dev/ppp
  * updated manpage to 0.4.2 (so Debian still has an edge over upstream ;))

 -- Arthur Korn <arthur@korn.ch>  Fri, 14 Jun 2002 22:58:15 +0200

wmnd (0.4.1-1) unstable; urgency=low

  * New upstream release
  - lots of new display modes
  - better support for dynamic devices
  - autotools build system
  * NEW UPSTREAM wavexx@users.sourceforge.net
  * the vlan patch introduced in 0.2.2-2 has been removed again.
  * Updated the package to policy version 3.5.6.0
  * now using dh_install{man,exaples,dirs} and cp for installation
  * updated manpage

 -- Arthur Korn <arthur@korn.ch>  Sat,  8 Jun 2002 00:19:35 +0200

wmnd (0.2.2-2) unstable; urgency=low

  * copyright: noted that upstream is MIA
  * incorporated patch to make wmnd work with vlan interfaces,
    thanks to Alexandre Dupouy for the patch, closes: #145036

 -- Arthur Korn <arthur@korn.ch>  Fri,  7 Jun 2002 17:35:24 +0200

wmnd (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Tue, 24 Apr 2001 21:28:50 +0200

wmnd (0.2.1-2) unstable; urgency=low

  * Added menu hints

 -- Arthur Korn <arthur@korn.ch>  Sun, 14 Jan 2001 17:02:03 +0100

wmnd (0.2.1-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Sat, 23 Dec 2000 17:43:04 +0100

wmnd (0.2.0-2) unstable; urgency=low

  * Fixed upstream release

 -- Arthur Korn <arthur@debian.org>  Sun, 10 Dec 2000 15:42:25 +0100

wmnd (0.2.0-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@debian.org>  Thu,  7 Dec 2000 18:32:29 +0100

wmnd (0.1.0-4) unstable; urgency=low

  * Adapted Build-Depends to library changes of last version.

 -- Arthur Korn <arthur@debian.org>  Sat, 18 Nov 2000 21:44:45 +0100

wmnd (0.1.0-3) unstable; urgency=low

  * only rebuild, this time not depending on libc5 libxpm. (Closes Bug#77279)

 -- Arthur Korn <arthur@debian.org>  Fri, 17 Nov 2000 22:12:45 +0100

wmnd (0.1.0-2) unstable; urgency=low

  * control: changed maintainer address to arthur@debian.org.
  * This time uploading with full source (first upload to debian.org).

 -- Arthur Korn <arthur@korn.ch>  Wed, 15 Nov 2000 20:32:39 +0100

wmnd (0.1.0-1) unstable; urgency=low

  * New upstream release
  * wmnd.1: now in upstream distribution.
  * docs: added CREDIT.
  * menu: changed section to Apps/System (it's monitoring after all).

 -- Arthur Korn <arthur@korn.ch>  Tue, 31 Oct 2000 18:03:34 +0100

wmnd (0.0.4-4) unstable; urgency=low

  * wmnd.1: wrote it, forwarded to upstream ...
  * control: changed section to net.

 -- Arthur Korn <arthur@korn.ch>  Sun,  8 Oct 2000 10:42:34 +0200

wmnd (0.0.4-3) unstable; urgency=low

  * rules: now evaluating DEB_BUILD_OPTIONS.
  * rules: installing into /usr/bin, not /usr/X11R6/bin.
  * undocumented: changed section from 1x to 1.
  *  menu: /usr/bin/X11/wmfsm -> /usr/bin/wmfsm.

 -- Arthur Korn <arthur@korn.ch>  Wed,  4 Oct 2000 13:29:00 +0200

wmnd (0.0.4-2) unstable; urgency=low

  * Fixed up the makefiles, now wmnd is built policy conformant

 -- Arthur Korn <arthur@korn.ch>  Sat, 29 Jul 2000 12:10:48 +0200

wmnd (0.0.4-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Sat, 29 Jul 2000 12:10:26 +0200

wmnd (0.0.3b-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Fri, 28 Jul 2000 21:16:45 +0200

wmnd (0.0.3-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Wed, 26 Jul 2000 22:12:53 +0200

wmnd (0.0.2-1) unstable; urgency=low

  * New upstream release

 -- Arthur Korn <arthur@korn.ch>  Tue, 25 Jul 2000 19:22:24 +0200

wmnd (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Arthur Korn <arthur@korn.ch>  Wed, 12 Jul 2000 22:26:22 +0200
